<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <artifactId>examcloud-core-questions-base</artifactId>
    <packaging>jar</packaging>

    <parent>
        <artifactId>examcloud-core-questions</artifactId>
        <groupId>cn.com.qmth.examcloud.core.questions</groupId>
        <version>2019-SNAPSHOT</version>
    </parent>

    <dependencies>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-data-mongodb</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>org.springframework.boot</groupId>
                    <artifactId>spring-boot-starter-logging</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
            <exclusions>
                <exclusion>
                    <groupId>org.springframework.boot</groupId>
                    <artifactId>spring-boot-starter-logging</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <!-- rpc api start -->
        <dependency>
            <groupId>cn.com.qmth.examcloud.rpc</groupId>
            <artifactId>examcloud-global-api-client</artifactId>
            <version>${examcloud.version}</version>
            <exclusions>
                <exclusion>
                    <groupId>cn.com.qmth.examcloud</groupId>
                    <artifactId>examcloud-web</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>cn.com.qmth.examcloud</groupId>
                    <artifactId>examcloud-api-commons</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>cn.com.qmth.examcloud.rpc</groupId>
            <artifactId>examcloud-core-basic-api-client</artifactId>
            <version>${examcloud.version}</version>
            <exclusions>
                <exclusion>
                    <groupId>cn.com.qmth.examcloud</groupId>
                    <artifactId>examcloud-web</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>cn.com.qmth.examcloud</groupId>
                    <artifactId>examcloud-api-commons</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>cn.com.qmth.examcloud.rpc</groupId>
            <artifactId>examcloud-core-examwork-api-client</artifactId>
            <version>${examcloud.version}</version>
            <exclusions>
                <exclusion>
                    <groupId>cn.com.qmth.examcloud</groupId>
                    <artifactId>examcloud-web</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>cn.com.qmth.examcloud</groupId>
                    <artifactId>examcloud-api-commons</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>cn.com.qmth.examcloud.rpc</groupId>
            <artifactId>examcloud-core-print-api-client</artifactId>
            <version>${examcloud.version}</version>
            <exclusions>
                <exclusion>
                    <groupId>cn.com.qmth.examcloud</groupId>
                    <artifactId>examcloud-web</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>cn.com.qmth.examcloud</groupId>
                    <artifactId>examcloud-api-commons</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>cn.com.qmth.examcloud.rpc</groupId>
            <artifactId>examcloud-core-questions-api-client</artifactId>
            <version>${examcloud.version}</version>
            <exclusions>
                <exclusion>
                    <groupId>cn.com.qmth.examcloud</groupId>
                    <artifactId>examcloud-web</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>cn.com.qmth.examcloud</groupId>
                    <artifactId>examcloud-api-commons</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <!-- rpc api end -->

        <dependency>
            <groupId>cn.com.qmth.examcloud.question</groupId>
            <artifactId>examcloud-question-commons</artifactId>
            <version>${examcloud.version}</version>
        </dependency>
        <dependency>
            <groupId>cn.com.qmth.examcloud</groupId>
            <artifactId>examcloud-support</artifactId>
            <version>${examcloud.version}</version>
            <exclusions>
                <!-- fix conflicted jars start -->
                <exclusion>
                    <groupId>io.springfox</groupId>
                    <artifactId>springfox-swagger2</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>io.springfox</groupId>
                    <artifactId>springfox-swagger-ui</artifactId>
                </exclusion>
                <!--<exclusion>
                    <groupId>org.apache.poi</groupId>
                    <artifactId>poi</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>org.apache.poi</groupId>
                    <artifactId>poi-ooxml</artifactId>
                </exclusion>-->
                <exclusion>
                    <groupId>commons-beanutils</groupId>
                    <artifactId>commons-beanutils</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>commons-logging</groupId>
                    <artifactId>commons-logging</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>org.apache.commons</groupId>
                    <artifactId>commons-compress</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>com.mchange</groupId>
                    <artifactId>mchange-commons-java</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>org.antlr</groupId>
                    <artifactId>antlr-runtime</artifactId>
                </exclusion>
                <!-- fix conflicted jars end -->
            </exclusions>
        </dependency>

        <dependency>
            <groupId>com.upyun</groupId>
            <artifactId>java-sdk</artifactId>
        </dependency>
        <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
        </dependency>
        <!--<dependency>
            <groupId>com.microsoft.sqlserver</groupId>
            <artifactId>mssql-jdbc</artifactId>
        </dependency>-->
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>druid</artifactId>
        </dependency>
        <dependency>
            <groupId>com.google.guava</groupId>
            <artifactId>guava</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-lang3</artifactId>
        </dependency>
        <dependency>
            <groupId>commons-lang</groupId>
            <artifactId>commons-lang</artifactId>
        </dependency>
        <dependency>
            <groupId>commons-codec</groupId>
            <artifactId>commons-codec</artifactId>
        </dependency>
        <dependency>
            <groupId>commons-beanutils</groupId>
            <artifactId>commons-beanutils</artifactId>
        </dependency>
        <dependency>
            <groupId>commons-io</groupId>
            <artifactId>commons-io</artifactId>
        </dependency>
        <dependency>
            <groupId>commons-collections</groupId>
            <artifactId>commons-collections</artifactId>
        </dependency>
        <dependency>
            <groupId>commons-fileupload</groupId>
            <artifactId>commons-fileupload</artifactId>
        </dependency>
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>fastjson</artifactId>
        </dependency>
        <dependency>
            <groupId>org.jsoup</groupId>
            <artifactId>jsoup</artifactId>
        </dependency>
        <dependency>
            <groupId>com.squareup.okhttp3</groupId>
            <artifactId>okhttp</artifactId>
        </dependency>
        <dependency>
            <groupId>com.google.code.findbugs</groupId>
            <artifactId>jsr305</artifactId>
        </dependency>
        <dependency>
            <groupId>io.springfox</groupId>
            <artifactId>springfox-swagger2</artifactId>
        </dependency>
        <dependency>
            <groupId>com.github.xiaoymin</groupId>
            <artifactId>swagger-bootstrap-ui</artifactId>
        </dependency>
        <!--<dependency>
            <groupId>cn.afterturn</groupId>
            <artifactId>easypoi-base</artifactId>
        </dependency>
        <dependency>
            <groupId>com.itextpdf</groupId>
            <artifactId>itextpdf</artifactId>
        </dependency>-->
        <dependency>
            <groupId>org.javassist</groupId>
            <artifactId>javassist</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-compress</artifactId>
        </dependency>
        <dependency>
            <groupId>com.mchange</groupId>
            <artifactId>mchange-commons-java</artifactId>
        </dependency>
        <dependency>
            <groupId>com.oracle</groupId>
            <artifactId>ojdbc6</artifactId>
            <version>11.2.0.4.0-atlassian-hosted</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.freemarker</groupId>
            <artifactId>freemarker</artifactId>
        </dependency>
        <dependency>
            <groupId>net.sourceforge.jeuclid</groupId>
            <artifactId>jeuclid-core</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>commons-logging</groupId>
                    <artifactId>commons-logging</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>org.apache.xmlgraphics</groupId>
                    <artifactId>xmlgraphics-commons</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>com.esotericsoftware</groupId>
            <artifactId>reflectasm</artifactId>
        </dependency>
        <dependency>
            <groupId>net.sf.saxon</groupId>
            <artifactId>Saxon-HE</artifactId>
        </dependency>
        <dependency>
            <groupId>org.ansj</groupId>
            <artifactId>ansj_seg</artifactId>
        </dependency>
        <dependency>
            <groupId>org.docx4j</groupId>
            <artifactId>docx4j</artifactId>
        </dependency>
        <dependency>
            <groupId>org.docx4j</groupId>
            <artifactId>docx4j-ImportXHTML</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>org.docx4j</groupId>
                    <artifactId>docx4j</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
    </dependencies>
</project>